package com.qxgmat.dto.response;

import com.alibaba.fastjson.JSONObject;
import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserQuestion;
import com.qxgmat.dto.extend.QuestionDetailExtendDto;
import com.qxgmat.dto.extend.QuestionNoExtendDto;
import com.qxgmat.dto.extend.UserNoteExtendDto;

import java.util.List;

@Dto(entity = UserQuestion.class)
public class UserQuestionDetailDto {
    private Integer id;

    private String module;

    private Integer questionId;

    private Integer questionNoId;

    private List<QuestionNoExtendDto> questionNos;

    private JSONObject answer;

    private QuestionDetailExtendDto question;

    private Boolean collect;

    private UserNoteExtendDto note;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public Integer getQuestionNoId() {
        return questionNoId;
    }

    public void setQuestionNoId(Integer questionNoId) {
        this.questionNoId = questionNoId;
    }

    public List<QuestionNoExtendDto> getQuestionNos() {
        return questionNos;
    }

    public void setQuestionNos(List<QuestionNoExtendDto> questionNos) {
        this.questionNos = questionNos;
    }

    public JSONObject getAnswer() {
        return answer;
    }

    public void setAnswer(JSONObject answer) {
        this.answer = answer;
    }

    public QuestionDetailExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionDetailExtendDto question) {
        this.question = question;
    }

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = collect;
    }

    public UserNoteExtendDto getNote() {
        return note;
    }

    public void setNote(UserNoteExtendDto note) {
        this.note = note;
    }
}
